Fix the openssl check and the dependency. Bump PKGNAME

from Rodger Allen <r.allen@e-secure.com.au>
This commit is contained in:
robert 2009-05-30 15:40:35 +00:00
parent 8f891817c2
commit d3a124d04a
2 changed files with 9 additions and 134 deletions

View File

@ -1,4 +1,4 @@
# $OpenBSD: Makefile,v 1.2 2009/04/08 08:56:43 robert Exp $
# $OpenBSD: Makefile,v 1.3 2009/05/30 15:40:35 robert Exp $
COMMENT= library for fingerprint reader devices
@ -20,11 +20,12 @@ PERMIT_PACKAGE_FTP= Yes
PERMIT_DISTFILES_CDROM= Yes
PERMIT_DISTFILES_FTP= Yes
WANTLIB= iconv intl m
LIB_DEPENDS= MagickCore.>=1::graphics/ImageMagick \
glib-2.0.>=0.8::devel/glib2 \
WANTLIB= c crypto
LIB_DEPENDS= MagickCore.>=1,MagickWand.>=1::graphics/ImageMagick \
usb::devel/libusb
CONFIGURE_STYLE= gnu
CONFIGURE_ENV+= CRYPTO_CFLAGS="-I/usr/include" \
CRYPTO_LIBS="-lcrypto"
.include <bsd.port.mk>

View File

@ -1,133 +1,7 @@
$OpenBSD: patch-configure,v 1.1.1.1 2009/03/24 19:01:04 robert Exp $
--- configure.orig Thu Mar 20 14:57:56 2008
+++ configure Tue Mar 24 17:21:32 2009
@@ -20289,125 +20289,7 @@ echo "${ECHO_T}yes" >&6; }
:
fi
-
-
-# check for OpenSSL's libcrypto
-
pkg_failed=no
-{ echo "$as_me:$LINENO: checking for CRYPTO" >&5
-echo $ECHO_N "checking for CRYPTO... $ECHO_C" >&6; }
-
-if test -n "$PKG_CONFIG"; then
- if test -n "$CRYPTO_CFLAGS"; then
- pkg_cv_CRYPTO_CFLAGS="$CRYPTO_CFLAGS"
- else
- if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\"libcrypto\"\"") >&5
- ($PKG_CONFIG --exists --print-errors ""libcrypto"") 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; then
- pkg_cv_CRYPTO_CFLAGS=`$PKG_CONFIG --cflags ""libcrypto"" 2>/dev/null`
-else
- pkg_failed=yes
-fi
- fi
-else
- pkg_failed=untried
-fi
-if test -n "$PKG_CONFIG"; then
- if test -n "$CRYPTO_LIBS"; then
- pkg_cv_CRYPTO_LIBS="$CRYPTO_LIBS"
- else
- if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\"libcrypto\"\"") >&5
- ($PKG_CONFIG --exists --print-errors ""libcrypto"") 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; then
- pkg_cv_CRYPTO_LIBS=`$PKG_CONFIG --libs ""libcrypto"" 2>/dev/null`
-else
- pkg_failed=yes
-fi
- fi
-else
- pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
- _pkg_short_errors_supported=yes
-else
- _pkg_short_errors_supported=no
-fi
- if test $_pkg_short_errors_supported = yes; then
- CRYPTO_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors ""libcrypto""`
- else
- CRYPTO_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors ""libcrypto""`
- fi
- # Put the nasty error message in config.log where it belongs
- echo "$CRYPTO_PKG_ERRORS" >&5
-
- { { echo "$as_me:$LINENO: error: Package requirements (\"libcrypto\") were not met:
-
-$CRYPTO_PKG_ERRORS
-
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
-
-Alternatively, you may set the environment variables CRYPTO_CFLAGS
-and CRYPTO_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-echo "$as_me: error: Package requirements (\"libcrypto\") were not met:
-
-$CRYPTO_PKG_ERRORS
-
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
-
-Alternatively, you may set the environment variables CRYPTO_CFLAGS
-and CRYPTO_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
- { (exit 1); exit 1; }; }
-elif test $pkg_failed = untried; then
- { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
-
-Alternatively, you may set the environment variables CRYPTO_CFLAGS
-and CRYPTO_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&5
-echo "$as_me: error: The pkg-config script could not be found or is too old. Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
-
-Alternatively, you may set the environment variables CRYPTO_CFLAGS
-and CRYPTO_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&2;}
- { (exit 1); exit 1; }; }
-else
- CRYPTO_CFLAGS=$pkg_cv_CRYPTO_CFLAGS
- CRYPTO_LIBS=$pkg_cv_CRYPTO_LIBS
- { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
- :
-fi
-
-
-
-
-pkg_failed=no
{ echo "$as_me:$LINENO: checking for GLIB" >&5
echo $ECHO_N "checking for GLIB... $ECHO_C" >&6; }
@@ -20778,7 +20660,7 @@ cat >>confdefs.h <<\_ACEOF
$OpenBSD: patch-configure,v 1.2 2009/05/30 15:40:35 robert Exp $
--- configure.orig Sat May 30 19:27:19 2009
+++ configure Sat May 30 19:28:18 2009
@@ -20778,7 +20778,7 @@ cat >>confdefs.h <<\_ACEOF
#define API_EXPORTED __attribute__((visibility("default")))
_ACEOF